//
//  ViewController.swift
//  swift_sample
//
//  Created by Muta Huang on 06/07/2017.
//  Copyright © 2017 TSC. All rights reserved.
//

import UIKit
import tscswift
import CoreBluetooth

class ViewController: UIViewController {

    var deviceList :NSMutableArray = []
    var bt = Bluetooth()
    var wireless = WiFi()
    var ble = BLE()

    @IBOutlet weak var Label: UILabel!
    @IBOutlet weak var Name: UITextField!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        deviceList = ble.searchBLEDevice(2)
    }

    @IBAction func Send(_ sender: UIButton)
    {
        var Success = -1;
        for i in 0...deviceList.count-1
        {
            var device = deviceList[i] as! CBPeripheral
            if(device.name == Name.text) //BLE Name
            {
                Success = ble.openport_ble(device)
            }
        }
        
        if(Success == 1)
        {
            //Label.text = ble.printer_status(2.0);
            //var status = ble.printer_status(2.0)
            //<00> Normal, <01>Head opened, <10>Pause
            
            //ble.sendcommand("DIRECION 1\r\n")
            //ble.setup("100", height: "120", speed: "4", density: "10", sensor: "0", vertical: "2", offset: "0")
            ble.sendcommand("SIZE 100 mm, 60 mm\r\n")
            //ble.sendcommand("SPEED 4\r\n")
            //ble.sendcommand("DENSITY 10\r\n")
            //ble.sendcommand("GAP 2 mm, 0 mm\r\n")
            //ble.sendcommand("BLINE 2 mm, 0 mm\r\n")//black mark
            
            ble.clearBuffer()
            
            //Using downloaded font to print text
            /*ble.sendcommand("CODEPAGE UTF-8\r\n")
             ble.sendcommand_utf8("TEXT 30,30,\"ARIALUNI.TTF\",0,8,8,\"中文Englishにほンゴ한국어\"\r\n")*/
            ble.sendcommand("TEXT 30,30,\"2\",0,2,2,\"1234567\"\r\n")
            ble.printerfont("30", y: "100", fontName: "2", rotation: "0", magnificationRateX: "2", magnificationRateY: "2", content: "Printer Font Test!")
            //ble.windowsfont(30, y: 170, height: 32, rotation: 0, style: 0, withUnderline: 0, fontName: "Arial", content: "中文Englishにほンゴ한국어")
            //fontName: Please refer to "iosfonts.com"
            
            ble.barcode("30", y: "300", barcodeType: "39", height: "70", readable: "1", rotation: "0", narrow: "2", wide: "6", code: "12345")
            
            //Download PCX
            /*var mainBunle = Bundle.main
            var absolutePath = mainBunle.path(forResource: "UL", ofType: "pcx")
            ble.downloadpcx(absolutePath!, name: "UL.PCX")
            ble.sendcommand("PUTPCX 300,250,\"UL.PCX\"\r\n")
             */
            ble.printlabel(1, copies: 1)

            //ble.closeport(2)
            ble.closeport(10)//With Windowsfont
            //ble.closeport(30)//With Windowsfont & downloadPCX
        }
        
    }
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

